QwtColorMap(3)

NAME
QwtColorMap - QwtColorMap is used to map values into colors.

SYNOPSIS

#include <qwt_color_map.h>

Inherited by QwtAlphaColorMap, QwtHueColorMap, QwtLinearColorMap, and QwtSaturationValueColorMap.

  Public Types
enum Format { RGB, Indexed }

  Public Member Functions
QwtColorMap (Format=QwtColorMap::RGB)
virtual ~QwtColorMap ()
Destructor.
void setFormat (Format)
virtual QRgb rgb (const QwtInterval &interval, double value) const =0
virtual uint colorIndex (int numColors, const QwtInterval &interval, double value) const
Map a value of a given interval into a color index.
QColor color (const QwtInterval &, double value) const
virtual QVector< QRgb > colorTable (int numColors) const
virtual QVector< QRgb > colorTable256 () const

  Public Attributes
Format const

Detailed Description

QwtColorMap is used to map values into colors. For displaying 3D data on a 2D plane the 3rd dimension is often displayed using colors, like f.e in a spectrogram.

Each color map is optimized to return colors for only one of the following image formats:

•   QImage::Format_Indexed8

•   QImage::Format_ARGB32

See also
    QwtPlotSpectrogram, QwtScaleWidget

Definition at line 37 of file qwt_color_map.h.

Member Enumeration Documentation

  enum QwtColorMap::Format
Format for color mapping

See also
    rgb(), colorIndex(), colorTable()

Enumerator

RGB The map is intended to map into RGB values.

Indexed
    Map values into 8 bit values, that are used as indexes into the color table.

Indexed color maps are used to generate QImage::Format_Indexed8 images. The calculation of the color index is usually faster and the resulting image has a lower memory footprint.

See also
    colorIndex(), colorTable()

Definition at line 45 of file qwt_color_map.h.

Constructor & Destructor Documentation

  QwtColorMap::QwtColorMap (Format format = QwtColorMap::RGB) [explicit]
Constructor

Parameters
    format Format of the color map

Definition at line 249 of file qwt_color_map.cpp.

Member Function Documentation

  QColor QwtColorMap::color (const QwtInterval & interval, double value) const [inline]
Map a value into a color

Parameters
    interval Valid interval for values
    value Value

Returns
    Color corresponding to value

Definition at line 248 of file qwt_color_map.h.

  uint QwtColorMap::colorIndex (int numColors, const QwtInterval & interval, double value) const [virtual]

Map a value of a given interval into a color index.

Parameters
    numColors Number of colors
    interval Range for all values
    value Value to map into a color index

Returns
    Index, between 0 and numColors - 1, or -1 for an invalid value

Reimplemented in QwtLinearColorMap.

Definition at line 278 of file qwt_color_map.cpp.

  QVector< QRgb > QwtColorMap::colorTable (int numColors) const [virtual]
Build and return a color map of arbitrary number of colors

The color table is needed for rendering indexed images in combination with using colorIndex().

Parameters
    numColors Number of colors

Returns
    A color table

Definition at line 325 of file qwt_color_map.cpp.

  QVector< QRgb > QwtColorMap::colorTable256 () const [virtual]
Build and return a color map of 256 colors

The color table is needed for rendering indexed images in combination with using colorIndex().

Returns
    A color table, that can be used for a QImage

Definition at line 304 of file qwt_color_map.cpp.

  virtual QRgb QwtColorMap::rgb (const QwtInterval & interval, double value) const [pure virtual]
Map a value of a given interval into a RGB value.

Parameters
    interval Range for the values
    value Value

Returns
    RGB value, corresponding to value

Implemented in QwtSaturationValueColorMap, QwtHueColorMap, QwtAlphaColorMap, and QwtLinearColorMap.

  void QwtColorMap::setFormat (Format format)
Set the format of the color map

Parameters
    format Format of the color map

Definition at line 264 of file qwt_color_map.cpp.

Member Data Documentation

  QwtColorMap::Format QwtColorMap::const [inline]
Initial value:

{
    return m_format

Returns
    Intended format of the color map

See also
    Format

Definition at line 67 of file qwt_color_map.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.